// Dialogfenster zum Programm klotho11.lsp
// Autor: Jrgen Palme
// Version 1.1, September 1994


dcl_settings : default_dcl_settings {
  audit_level = 3;
}
klotho : dialog {
  label = "Klothoide";
  : row {
    :boxed_column {
      label = "Abmessungen";
      : text {
        label = "                 Eingaben   berechnete"; 
      }
      : text {
        label = "                               Werte";
      }
      : row {
        : edit_box {
          label = "End-Radius R:";
          edit_width = 10;
          key = "_er";
          mnemonic = "R";
        }
        : text {
          is_enabled = false;
          width = 10;
          fixed_width = true;
          key = "_br";
        }
      }
      : row {
        : edit_box {
          label = "Parameter P:";
          edit_width = 10;
          key = "_ep";
          mnemonic = "P";
        }
        : text {
          is_enabled = false;
          width = 10;
          fixed_width = true;
          key = "_bp";
        }
      }
      : row {
        : edit_box {
          label = "Lnge L:";
          edit_width = 10;
          key = "_el";
          mnemonic = "L";
        }
        : text {
          is_enabled = false;
          width = 10;
          fixed_width = true;
          key = "_bl";
        }
      }
      : row {
        : edit_box {
          label = "End-Richtung W:";
          edit_width = 10;
          key = "_ew";
          mnemonic = "W";
        }
        : text {
          is_enabled = false;
          width = 10;
          fixed_width = true;
          key = "_bw";
        }
      }
      : text {
        key = "w_anz1";
        width = 10;
      }
    }
    : spacer {width = 1;}
    : boxed_column {
      label = "Lage";
      : column {
        : boxed_column { 
          fixed_height = true;
          label = "Startpunkt";
          : edit_box {
            label = "X:";
            mnemonic = "X";
            key = "_exp";
            edit_width = 8;
          }
          : edit_box {
            label = "Y:";
            mnemonic = "Y";
            key = "_eyp";
            edit_width = 8;
          }
        }
        : spacer {
          height = 0.5;
        }
        : boxed_column {
          label = "Startrichtung"; 
          fixed_height = true;
          : edit_box {
            label = "Winkel:";
            key = "_ewp";
            mnemonic = "k";
            edit_width = 8;
          }
          : text {
            key = "w_anz2";
            width = 10;
          }
        }
      }
    }
  }
  : spacer {
    height = 0.5;
  }
  : row {
    : spacer {
    }
    : button {
      fixed_width = true;
      label = "Optionen...";
      key = "genau";
      mnemonic = "O";
    }
    : spacer {
    }
    : button {
      fixed_width = true;
      label = "Hilfsobjekte...";
      key = "obj_hilfe";
      mnemonic = "f";
    }
    : spacer {
    }
  }
  : spacer {
    height = 0.5;
  }
  ok_cancel_help_info;
  : spacer {
    height = 0.5;
  }
  errtile;
}

genau : dialog {
  label = "Optionen";
  : column {
    : boxed_column {
      fixed_height = true;
      label = "Genauigkeit";
      : edit_box {
        label = "Segment-Anzahl:";
        edit_width = 5;
        key = "anz";
        mnemonic = "S";
      }
      : spacer {height = 0.5;}
      : toggle {
      label = "Kurve gltten";
      key = "glatt";
      mnemonic = "g";
      }
    }
    : spacer {height = 0.5;}
    : boxed_radio_column {
      key = "wi_einh";
      fixed_height = true;
      label = "Winkeleinheit";
      : radio_button {
        label = "Altgrad []";
        key = "ag";
        mnemonic = "A";
      }
      : radio_button {
        label = "Neugrad [gon]";
        key = "ng";
        mnemonic = "N";
      }
    }
  }
  ok_cancel;
}

info : dialog {
  label = "Information";
  : column {
    : spacer {height = 1.5;}
    : text {
      label = "       AutoLISP-Programm zum zeichnen von Klothoiden";
    }
    : text {
      label = "               Version 1.1, Shareware-Version ";
    }
    : text {
      label = "       zugehrige Datei: KLOTHO11.DCL";
    }
    : text {
      label = " ";
    }
    : text {
      label = "       Die voll funktionsfhige Version erhalten Sie";
    }
    : text {
      label = "       nach Zahlung einer Registriergebhr von 20,- DM";
    }
    : text {
      label = "       (Verrechnungsscheck oder Briefmarken) bei";
    }

    : text {
      label = "            Jrgen Palme ";
    }
    : text {
      label = "            Max-Beckmann-Str. 22 ";
    }
    : text {
      label = "            D-04109 Leipzig";
    }
    : text {
      label = " ";
    }
    : text {
      label = "Registrierte Nutzer werden ber Produktaktualisierungen";
    }          
    : text {
      label = "informiert und knnen Updates zu vergnstigten Konditionen";
    }
    : text {
      label = "erwerben. ";
    }
    : text {
      label = "Lassen Sie sich registrieren!";
    }
    : text {
      label = " ";
    }
    : text {
      label = " ";
    }
  }
  ok_only;
}



obj_hilfe : dialog {
  label = "Hilfsobjekte";
  : column {
    : toggle {
      label = "Endkreis";
      key = "ek";
      mnemonic = "k";
    }
    : toggle {
      label = "Markierung Endkreismittelpunkt";
      key = "ekp";
      mnemonic = "m";
    }
    : toggle {
      label = "Tangenten in Start- und Endpunkt";
      key = "ewi";
      mnemonic = "T";
    }
    : toggle {
      label = "Markierung Anfangs- und Endpunkt";
      key = "ae";
      mnemonic = "p";
    }
    : spacer {height = 0.3;}
    : edit_box {
      label = "Layer fr Hilfsobjekte: ";
      edit_width = 10;
      edit_limit = 31;
      key = "lh";
      mnemonic = "H";
    }
    : edit_box {
      label = "Farbe fr Hilfsobjekte: ";
      edit_width = 10;
      edit_limit = 31;
      key = "fh";
      mnemonic = "o";
    }
    : edit_box {
      label = "Farbe fr Hilfslayer:";
      edit_width = 10;
      edit_limit = 31;
      key = "fl";
      mnemonic = "l";
    }
  }
  : spacer {height = 0.5;}
  : text {
    label = "Eingaben in diesem Fenster sind in";
  }
  : text {
    label = "vorliegender Shareware-Version wirkungslos.";
  }
  ok_cancel;
}


onl_hilfe : dialog {
  label = "Hilfe";
  : list_box {
    width = 70;
    height = 20;
    key = "online";
  }
  ok_only;
}
